import { Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards } from "@nestjs/common";
import { AdminAuthGuard } from "src/core/guards/admin-auth.guard";
import { Constants } from "src/utils/constants";
import { AboutPageOurMissionSectionCmsService } from "./about-page-our-mission-section-cms.service";
import { UpdateAboutPageOurMissionSectionCmsDto } from "./dto/update-about-page-our-mission-section-cms.dto";

@Controller({ path: "about-page-our-mission-section-cms", version: Constants.API_VERSION_1 })

export class AboutPageOurMissionSectionCmsController {
    constructor(private readonly service: AboutPageOurMissionSectionCmsService) {}

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateAboutPageOurMissionSectionCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
