import {Body, Controller, Get, HttpCode, HttpStatus, Post, UseGuards} from "@nestjs/common";
import {AdminAuthGuard} from "src/core/guards/admin-auth.guard";
import {Constants} from "src/utils/constants";
import { UpdateHomePageBlogSectionCmsDto } from "./dto/update-home-page-blog-section-cms.dto";
import { HomePageBlogSectionCmsService } from "./home-page-blog-section-cms.service";

@Controller({path: "home-page-blog-section-cms", version: Constants.API_VERSION_1})

export class HomePageBlogSectionCmsController {
    constructor(private readonly service: HomePageBlogSectionCmsService) {
    }

    @Post()
    @HttpCode(HttpStatus.OK)
    @UseGuards(AdminAuthGuard)
    updateOrCreateData(
        @Body() dto: UpdateHomePageBlogSectionCmsDto
    ) {
        return this.service.updateOrCreateData(dto);
    }

    @Get()
    // @UseGuards(AdminAuthGuard)
    findAll() {
        return this.service.findAll();
    }
}
