import {EntityRepository, Repository} from "typeorm";
import { PrivacyPolicyPageCmsEntity } from "./entities/privacy-policy-page-cms.entity";
import { UpdatePrivacyPolicyPageCmsDto } from "./dto/update-privacy-policy-page-cms.dto";

@EntityRepository(PrivacyPolicyPageCmsEntity)
export class PrivacyPolicyPageCmsRepository extends Repository<PrivacyPolicyPageCmsEntity> {

    async createEntity(dto: UpdatePrivacyPolicyPageCmsDto): Promise<PrivacyPolicyPageCmsEntity | Error> {
        try {
            const entity = this.create({
                title: dto.title,
                subtitle: dto.subtitle,
                description: dto.description
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdatePrivacyPolicyPageCmsDto, id: string): Promise<PrivacyPolicyPageCmsEntity | Error> {
        try {
            await this.update(id, {
                title: dto.title,
                subtitle: dto.subtitle,
                description: dto.description
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<PrivacyPolicyPageCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}