import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "src/modules/SpacesModule/SpacesService";
import { DoSpacesService } from "src/modules/SpacesModule/SpacesService/doSpacesService";
import { HomePageHeroSectionRepository } from "./home-page-hero-section.repository";
import { HomePageHeroSectionController } from "./home-page-hero-section.controller";
import { HomePageHeroSectionService } from "./home-page-hero-section.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([HomePageHeroSectionRepository])
    ],
    controllers: [HomePageHeroSectionController],
    providers: [HomePageHeroSectionService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class HomePageHeroSectionModule {}
