import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity('payment_log')
export class PaymentGateway extends CoreEntity {
    @Column()
    customerId: string;

    @Column()
    customerName: string;

    @Column()
    invoiceID: string;

    @Column({ default: null })
    paymentAmount: string;

    @Column({ type: "decimal", precision: 10, scale: 2, default: 0, nullable: true })
    refundAmount: number;

    @Column({ default: null })
    paymentDate: Date;

    @Column({ default: null })
    paymentTransID: string;

    @Column({ default: null })
    refundTransID: string;

    @Column({ default: false })
    isRefunded: boolean;

    @Column({ default: null })
    refundDate: Date;

    @Column({ default: null, type: 'longtext'})
    paymentPayload: string;

    @Column({ default: null, type: 'longtext'})
    refundPayload: string;

    @Column({ default: null })
    transStatus: string;
}
