import { IsNotEmpty, IsEmpty, IsDecimal, IsOptional, IsArray } from "class-validator";
import { Column } from "typeorm";

export class CreateProductDto {
    @IsNotEmpty()
    brandId: string;

    @IsEmpty()
    brandName: string;

    @IsNotEmpty()
    name: string;

    @IsNotEmpty()
    @IsDecimal()
    price: number;

    @IsOptional()
    @IsDecimal()
    unitPrice: number;

    @IsEmpty()
    totalOrder: number;

    @IsNotEmpty()
    sku: string;

    @IsEmpty()
    stock: number;

    @IsEmpty()
    description: string;

    @IsEmpty()
    shortDescription: string;

    @IsEmpty()
    urlSlug: string;

    @IsEmpty()
    averageRating: number;

    @IsEmpty()
    reviewCount: number;

    @IsEmpty()
    weight: string;

    @IsEmpty()
    featuredImage: string;

    @IsEmpty()
    discountPrice: number;
    
    @IsNotEmpty()
    saleType: string;

    @IsOptional()
    tierSale: string;

    @IsOptional()
    @IsDecimal()
    productPerCase: number;
    
    @IsEmpty()
    cost: number;

    @IsEmpty()
    isDeactive: number;

    @IsEmpty()
    isReadyToShip: number;

    @IsNotEmpty()
    color: [string];

    @IsNotEmpty()
    offers: [string];  
}
